Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Get all available instruments

Request

Retrieves the available instruments on the network

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/instruments/all-available' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The list of instruments found on the network

Bodyapplication/jsonArray [
endpointstring or null
typestring or null
serialNumberstring or null
instrumentNamestring or null
]
Response
application/json
[ { "endpoint": "string", "type": "string", "serialNumber": "string", "instrumentName": "string" } ]

Initialize the current instrument

Request

Security
Bearer
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/instruments/initialize' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The instrument initialized successfully

Response
No content

Get the current global run state

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/instruments/global-run-state' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The current global run state

Bodyapplication/json
string
Response
application/json
"string"

Get the current connected instrument

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/instruments' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The current instrument configuration

Bodyapplication/json
endpointstring or null

The endpoint for the instrument

instrumentNamestring or null

The instrument name

serialNumberstring or null

The instrument serial number

thermalDeviceinteger(int32)

The thermal device

hepaUvboolean

Whether or not the device has a HEPA/UV cap

isEnclosurePresentboolean

Whether or not the enclosure is present

isFakeInstrumentboolean

Whether or not it is a fake simulated instrument

channelConfigurationinteger(int32)

The channel configuration for the instrument

thermalDeviceNamesArray of objects or null(SupportedEnum)read-only
channelConfigurationNamesArray of objects or null(SupportedEnum)read-only
hhcConfigurationobject(HhcConfigurationGetDto)
Response
application/json
{ "endpoint": "string", "instrumentName": "string", "serialNumber": "string", "thermalDevice": 0, "hepaUv": true, "isEnclosurePresent": true, "isFakeInstrument": true, "channelConfiguration": 0, "thermalDeviceNames": [ {} ], "channelConfigurationNames": [ {} ], "hhcConfiguration": { "adapter": 0, "supportedAdapters": [] } }

Connect to the instrument with the provided serial number

Request

Security
Bearer
Query
serialNumberstringrequired

Instrument's serial number

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/instruments?serialNumber=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Connection was successful

Response
No content

Get the current active system

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/instruments/get-active-system' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The current active system

Bodyapplication/json
namestring or null

The name of the system

descriptionstring or null

The description of the system

instrumentNamestring or null

The instrument name associated with the system

workspaceNamestring or null

The workspace name for the system

isConnectedboolean

Whether or not the instrument is connected

isConnectingboolean

Whether or not the instrument is connecting

connectedInstrumentNamestring or null

The connected instrument name associated with the system

Response
application/json
{ "name": "string", "description": "string", "instrumentName": "string", "workspaceName": "string", "isConnected": true, "isConnecting": true, "connectedInstrumentName": "string" }

Get the current connection status

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/instruments/connection-status' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The current connection status

Bodyapplication/json
isControlledboolean
controllerMachineNamestring or null
controllerUserNamestring or null
Response
application/json
{ "isControlled": true, "controllerMachineName": "string", "controllerUserName": "string" }

Get the current connection information

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/instruments/connection-info' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The current connection information

Bodyapplication/jsonArray [
string
]
Response
application/json
[ "string" ]

Connect to the current instrument

Request

Security
Bearer
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/instruments/connect-to-instrument' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Connection was successful

Response
No content

Set the default mock instrument

Request

Security
Bearer
Bodyapplication/json
thermalDeviceinteger(int32)

The thermal device

hepaUvboolean

Whether or not the device has a HEPA/UV cap

channelConfigurationinteger(int32)

The channel configuration

isEnclosurePresentboolean

Whether or not the enclosure is present

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/instruments/mock' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "thermalDevice": 0,
    "hepaUv": true,
    "channelConfiguration": 0,
    "isEnclosurePresent": true
  }'

Responses

Mock instrument was successfully set

Response
No content

Get the serial number of the current connected instrument

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/instruments/serial-number' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The serial number for the current instrument

Bodyapplication/json
string
Response
application/json
"string"

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations